
Redmine - Defect #2700

TypeError (can't modify frozen string)

2009-02-08 23:16 - Stefan Urbanek

Status: Closed Start date: 2009-02-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution:  Affected version:  

Description

I am getting:

TypeError (can't modify frozen string):

    /app/controllers/settings_controller.rb:44:in `<<'

    /app/controllers/settings_controller.rb:44:in `edit'

    /app/controllers/settings_controller.rb:22:in `index'

 when trying to access '/settings'.

I am running the application using Passenger with URI my_server/projects. In environment.rb I have set:

config.action_controller.relative_url_root = '/projects'

 when I remove the line and run the Redmine application using scripts/server everything works just fine.

Associated revisions

Revision 2423 - 2009-02-09 18:18 - Jean-Philippe Lang

Fixed: TypeError (can't modify frozen string) on settings view (#2700).

History

#1 - 2009-02-09 00:33 - Stefan Urbanek

Change line:

    @guessed_host_and_path = request.host_with_port

to:  

    @guessed_host_and_path = ''

    @guessed_host_and_path += request.host_with_port

 in settings_controller.rb around line 44.

#2 - 2009-02-09 18:19 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

- Affected version (unused) set to devel

This should be fixed by r2423.

#3 - 2009-02-09 19:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2425.
